"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$timeBetweenDates = void 0;
const commons_1 = require("./commons");
const tsdate_1 = require("./tsdate");
// returns time in seconds between two dates
// WARNING: time between system Date objects takes TZ and DST into account and, as it should, TSDate does not 
function $timeBetweenDates(a, b) {
    a = (0, commons_1.$ok)(a) ? a : tsdate_1.TSDate.past();
    b = (0, commons_1.$ok)(b) ? b : tsdate_1.TSDate.future();
    if (a instanceof Date && b instanceof Date) {
        return b.timeSinceDate(a);
    }
    // TODO: do we need to make a direct difference on number args ?
    if (!(a instanceof tsdate_1.TSDate)) {
        a = new tsdate_1.TSDate(a /* correct cast should be number | string */);
    }
    if (!(b instanceof tsdate_1.TSDate)) {
        b = new tsdate_1.TSDate(b /* correct cast should be number | string  */);
    }
    return b.timeSinceDate(a);
}
exports.$timeBetweenDates = $timeBetweenDates;
Date.prototype.leafInspect = Date.prototype.toISOString;
// returns time in seconds between two dates
// WARNING: time between system Date objects takes TZ and DST into account 
Date.prototype.timeSinceDate = function timeSinceDate(other) { return (this.getTime() - other.getTime()) / 1000; };
//# sourceMappingURL=date.js.map